# norootforbuild
%define pkg_name    redis
%define php_version %(php-config --version 2>/dev/null || echo PHPCONFIG_NOT_FOUND)
%define pkg_version 3.1.3
#
%if "%{php_version}" >= "5.7"
%define         my_version 3.1.3
%define		pkg_version 3.1.3
%define         upstream 1
%else
%define         my_version 2.2.8
%define		pkg_version 2.2.8
%define         upstream 0
%endif
BuildPreReq:	coreutils awk
Name:		php7-redis
Version:	%{my_version}
Release:	13.1
License:	BSD
Group:		Productivity/Networking/Web/Servers
BuildRoot:	%{_tmppath}/%{pkg_name}-%{pkg_version}-build
BuildRequires:	php-devel
Requires:	php7 = %{php_version}
URL:		http://pecl.php.net/package/redis
Source:		%{pkg_name}-%{pkg_version}.tgz
Summary:	API for redis communication

%description
This extension provides an API for communicating with Redis servers.

%debug_package
%prep
%setup -n %{pkg_name}-%{pkg_version}

%build
%{_bindir}/phpize

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

./configure \
--with-redis=%{_usr} \
--with-php-config=%{_bindir}/php-config || cat config.log

%{__make} %{?jobs:-j%jobs}

%install
%__install -D -m0755 modules/redis.so %{buildroot}`php-config --extension-dir`/redis.so
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php7/conf.d
echo "; comment out next line to disable redis extension in php" > %{buildroot}%{_sysconfdir}/php7/conf.d/redis.ini
echo 'extension = redis.so' >> %{buildroot}%{_sysconfdir}/php7/conf.d/redis.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php7/extensions/redis.so
%config(noreplace) %{_sysconfdir}/php7/conf.d/redis.ini


%changelog
* Mon Jul 17 2017 cs@linux-administrator.com
- update to release 3.1.3
* Sun Apr  2 2017 cs@linux-administrator.com
- update to release 3.1.2
* Fri Feb 10 2017 cs@linux-administrator.com
- update to release 3.1.1
* Thu Dec 15 2016 cs@linux-administrator.com
- update to release 3.1.0
* Tue Mar  3 2015 cs@linux-administrator.com
- update to release 2.2.7
* Wed Mar 19 2014 cs@linux-administrator.com
- update to release 2.2.5
* Fri Jan 24 2014 cs@linux-administrator.com
- initial package
